com.io7m.jtensors.storage.bytebuffered

## Interface PVectorByteBufferedIntegral4Type<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Superinterfaces:
    PVectorReadable2LType<T>, PVectorReadable3LType<T>, PVectorReadable4LType<T>, PVectorStorageIntegral2Type<T>, PVectorStorageIntegral3Type<T>, PVectorStorageIntegral4Type<T>, TensorByteBufferedType, VectorByteBufferedType, VectorReadable2LType, VectorReadable3LType, VectorReadable4LType, VectorStorageIntegral2Type, VectorStorageIntegral3Type, VectorStorageIntegral4Type, VectorStorageType
  All Known Implementing Classes:
    PVectorByteBufferedIntegral4s16, PVectorByteBufferedIntegral4s32, PVectorByteBufferedIntegral4s64, PVectorByteBufferedIntegral4s8

      public interface PVectorByteBufferedIntegral4Type<T>
      extends PVectorStorageIntegral4Type<T>, VectorByteBufferedType

  The type of byte buffer backed integral vectors.

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageIntegral4Type

      `setPVector4I, setPVector4L`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageIntegral3Type

      `setPVector3I, setPVector3L`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageIntegral2Type

      `setPVector2I, setPVector2L`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral4Type

      `setVector4I, setVector4L, setW, setXYZW`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4LType

      `w`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral3Type

      `setVector3I, setVector3L, setXYZ, setZ`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3LType

      `z`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral2Type

      `setVector2I, setVector2L, setX, setXY, setY`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType

      `x, y`

    - ### Methods inherited from interface com.io7m.jtensors.storage.bytebuffered.TensorByteBufferedType

      `byteBuffer, byteOffset, offset, sizeBytes`

Copyright © 2017 <code@io7m.com> http://io7m.com